org.eclipse.ui.views.navigator

## Class NavigatorDropAdapter

- java.lang.Object
- - org.eclipse.swt.dnd.DropTargetAdapter
  - - org.eclipse.jface.viewers.ViewerDropAdapter
    - - org.eclipse.ui.part.PluginDropAdapter
      - - org.eclipse.ui.views.navigator.NavigatorDropAdapter

All Implemented Interfaces:
  EventListener, DropTargetListener, SWTEventListener, IOverwriteQuery

Deprecated.
as of 3.5, use the Common Navigator Framework classes instead

    @Deprecated
    public class NavigatorDropAdapter
    extends PluginDropAdapter
    implements IOverwriteQuery

Implements drop behaviour for drag and drop operations that land on the resource navigator.

Since:
  2.0

### Field Summary

### Fields inherited from class org.eclipse.ui.part.PluginDropAdapter

`ATT_CLASS`

### Fields inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

`LOCATION_AFTER, LOCATION_BEFORE, LOCATION_NONE, LOCATION_ON`

### Fields inherited from interface org.eclipse.ui.dialogs.IOverwriteQuery

`ALL, CANCEL, NO, NO_ALL, YES`

### Constructor Summary

Constructors
Constructor and Description
`NavigatorDropAdapter(StructuredViewer viewer)` Deprecated. Constructs a new drop adapter.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dragEnter(DropTargetEvent event)` Deprecated. This implementation of `dragEnter` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`.
`void` `dragOperationChanged(DropTargetEvent event)` Deprecated. This implementation of `dragOperationChanged` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`.
`boolean` `performDrop(Object data)` Deprecated. Perform the drop.
`String` `queryOverwrite(String pathString)` Deprecated. Returns one of the return code constants declared on this interface, indicating whether the entity represented by the passed String should be overwritten.
`boolean` `validateDrop(Object target, int dragOperation, TransferData transferType)` Deprecated. This method is used to notify the action that some aspect of the drop operation has changed.

### Methods inherited from class org.eclipse.ui.part.PluginDropAdapter

`drop, getCurrentTransfer, getPluginAdapter`

### Methods inherited from class org.eclipse.jface.viewers.ViewerDropAdapter

`clearState, determineLocation, determineTarget, dragOver, dropAccept, getBounds, getCurrentEvent, getCurrentLocation, getCurrentOperation, getCurrentTarget, getFeedbackEnabled, getSelectedObject, getViewer, handleException, overrideOperation, setExpandEnabled, setFeedbackEnabled, setScrollEnabled, setScrollExpandEnabled, setSelectionFeedbackEnabled`

### Methods inherited from class org.eclipse.swt.dnd.DropTargetAdapter

`dragLeave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigatorDropAdapter

    public NavigatorDropAdapter(StructuredViewer viewer)

Deprecated.
Constructs a new drop adapter.

Parameters:
  `viewer` - the navigator's viewer

### Method Detail

#### dragEnter

    public void dragEnter(DropTargetEvent event)

Deprecated.
Description copied from class: `DropTargetAdapter`
This implementation of `dragEnter` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`. For additional information see `DropTargetListener.dragEnter`.

Specified by:
  `dragEnter` in interface `DropTargetListener`
Overrides:
  `dragEnter` in class `ViewerDropAdapter`
Parameters:
  `event` - the information associated with the drag enter event
See Also:
  `DropTargetEvent`

#### dragOperationChanged

    public void dragOperationChanged(DropTargetEvent event)

Deprecated.
Description copied from class: `DropTargetAdapter`
This implementation of `dragOperationChanged` permits the default operation defined in `event.detail`to be performed on the current data type defined in `event.currentDataType`. For additional information see `DropTargetListener.dragOperationChanged`.

Specified by:
  `dragOperationChanged` in interface `DropTargetListener`
Overrides:
  `dragOperationChanged` in class `ViewerDropAdapter`
Parameters:
  `event` - the information associated with the drag operation changed event
See Also:
  `DropTargetEvent`

#### performDrop

    public boolean performDrop(Object data)

Deprecated.
Perform the drop.

Overrides:
  `performDrop` in class `PluginDropAdapter`
Parameters:
  `data` - the drop data
Returns:
  `true` if the drop was successful, and `false` otherwise
See Also:
  `DropTargetListener.drop(org.eclipse.swt.dnd.DropTargetEvent)`

#### queryOverwrite

    public String queryOverwrite(String pathString)

Deprecated.
Description copied from interface: `IOverwriteQuery`
Returns one of the return code constants declared on this interface, indicating whether the entity represented by the passed String should be overwritten.

This method may be called from a non-UI thread, in which case this method must run the query in a sync exec in the UI thread, if it needs to query the user.

Specified by:
  `queryOverwrite` in interface `IOverwriteQuery`
Parameters:
  `pathString` - the path representing the entity to be overwritten
Returns:
  one of the return code constants declared on this interface

#### validateDrop

    public boolean validateDrop(Object target,
                                int dragOperation,
                                TransferData transferType)

Deprecated.
This method is used to notify the action that some aspect of the drop operation has changed.

Overrides:
  `validateDrop` in class `PluginDropAdapter`
Parameters:
  `target` - the object that the mouse is currently hovering over, or `null` if the mouse is hovering over empty space
  `dragOperation` - the current drag operation (copy, move, etc.)
  `transferType` - the current transfer type
Returns:
  `true` if the drop is valid, and `false` otherwise